<?php
if(!defined('IN_TM')) {exit('Access Denied');}

	if(!$dosubmit){
		$tplid = 2;
		$db->close();
		include view('order');
	}else{
		if(empty($info[title])){
			die("<script>alert('请填写产品名称!重要！'); history.go(-1);</script>");
		}elseif(empty($info[name])){
			die("<script>alert('请输入您称呼！'); history.go(-1);</script>");
		}elseif(empty($info[tel])){
			die("<script>alert('请输入联系电话！'); history.go(-1);</script>");
		}
		$info[time] = TIME;
		$db->insert(DB_PRE.'order', $info);
        $id = $db->insert_id();
        $http = load('http.class.php');
        $email_message = "新订单：<BR/>产品名称 ：".$info[title]."<BR/>订购数量：".$info[num]."<BR/>联系人：".$info[name]."<BR/>联系电话：".$info[tel]."<BR/>联系邮箱：".$info[email]."<BR/>备注：".$info[body]."<BR/><a href =".$TM[siteurl]."admin.php >点击登陆网站后台查看</a>";
	    $is_ok = $http->post('http://www.newsteng.com/license/to.php?charset='.CHARSET.'&domain='.urlencode($business[xtcmsdomain]).'&sub='.urlencode('订单').'&email_message='.urlencode($email_message));
	    
		if($id){
			die("<script>alert('恭喜，您的订单已经提交到业务部，敬请等待业务人员联系您，谢谢！');history.go(-1);</script>");
		}else{
			die("<script>alert('服务器繁忙请稍后再试！'); history.go(-1);</script>");
		}
	}
?>